/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for ChestNonLesionObjectType
 */
public enum EnumCM_ChestNonLesionObjectType
{
	//CID 6138 Chest Non-Lesion Object Type
		BULLET("Bullet"),
		CARDIAC_PACEMAKER("Cardiac Pacemaker"),
		CARDIAC_PACEMAKER_LEAD("Cardiac pacemaker lead"),
		CATHETER("Catheter"),
		CENTRAL_LINE("Central line"),
		CERVICAL_COLLAR("Cervical collar"),
		CHEST_TUBE("Chest tube"),
		COIN("Coin"),
		ENDOTRACHEAL_TUBE("Endotracheal tube"),
		FEEDING_TUBE("Feeding tube"),
		FIDUCIAL_MARK("Fiducial mark"),
		HEART_VALVE_PROSTHESIS("Heart valve prosthesis"),
		JEJUNOSTOMY_TUBE("Jejunostomy tube"),
		JEWELRY("Jewelry"),
		KIDNEY_STENT("Kidney stent"),
		NEEDLE("Needle"),
		NIPPLE_RING("Nipple ring"),
		PANCREATIC_STENT("Pancreatic stent"),
		PIN("Pin"),
		PORTACATH("Portacath"),
		PROSTHESIS("Prosthesis"),
		SCAR_TISSUE("Scar tissue"),
		STAPLE("Staple"),
		SUTURE_MATERIAL("Suture material"),
		TRACHEOTOMY("Tracheotomy"),
		URETERIC_STENT("Ureteric stent"),
		VENA_CAVA_FILTER("Vena cava filter");

	private String value;

	EnumCM_ChestNonLesionObjectType(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
